Subject: Re: linux-next: build failure after merge of the usb tree

From: Greg KH <[email-masked]>
Date: Thu, 28 Mar 2013 11:04:59 -0700

On Wed, Mar 27, 2013 at 02:41:34PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the usb tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> drivers/usb/serial/usb-serial.c: In function 'usb_serial_probe':
> drivers/usb/serial/usb-serial.c:887:3: error: 'struct usb_serial_port' has no member named 'delta_msr_wait'
> 
> Caused by commit eba0e3c3a0ba ("USB: serial: fix hang when opening port")
> fro the usb.current tree interacting with commit 53ab34dc50ad ("USB:
> serial: remove unused MSR-wait queue") from the usb tree.
> 
> I have reverted the commit from usb.current on the assumption that the
> problem it solves has been, or will be, solved some other way.

I've now fixed this in my tree, so all should be good.

thanks,

greg k-h